import requestWhite from '@/apis/utils/requestWhite'
import request from '@/apis/utils/request'
 
export function createUser(data) {
  	return requestWhite({
  		method: 'post',
  		data: data,
  		url: '/mobile/user/createUser'
  	})
 }
 
 export function changePhone(telephone) {
   	return request({
   		method: 'get',
   		data: {
			telephone:telephone
		},
   		url: '/mobile/user/changePhone'
   	})
  }
  
 export function findRecruitSearch(data) {
   	return requestWhite({
   		method: 'post',
   		data: data,
   		url: '/mobile/recruit/findRecruitSearch'
   	})
  }
 
 export function myRegistrationNotReadNum(data) {
  	return request({
  		method: 'post',
  		data: data,
  		url: '/mobile/job/myRegistrationNotReadNum'
  	})
 }
 
 export function myReceivedRegistrationNotReadNum(data) {
  	return request({
  		method: 'post',
  		data: data,
  		url: '/mobile/recruit/myReceivedRegistrationNotReadNum'
  	})
 }
 

 
 export function updateIntention(data) {
  	return request({
  		method: 'post',
  		data: data,
  		url: '/mobile/user/updateIntention'
  	})
 }